#
# spec file for package perl-Event-ExecFlow
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Event-ExecFlow
Version:        0.64
Release:        7.17
%define cpan_name Event-ExecFlow
Summary:        High level API for event-based execution flow control
License:        GPL-1.0+ or Artistic-1.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Event-ExecFlow/
Source0:        https://cpan.metacpan.org/authors/id/J/JR/JRED/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(AnyEvent) >= 0.4
BuildRequires:  perl(Locale::TextDomain)
Requires:       perl(AnyEvent) >= 0.4
Requires:       perl(Locale::TextDomain)
%{perl_requires}

%description
Event::ExecFlow offers a high level API to declare jobs, which mainly
execute external commands, parse their output to get progress or other
status information, triggers actions when the command has been finished
etc. Such jobs can be chained together in a recursive fashion to fulfill
rather complex tasks which consist of many jobs.

Additionally it defines an extensible API for communication with the
frontend application, which may be a written using Gtk2, Tk or Qt or is a
simple text console program.

In case of Gtk2 a custom widget for displaying an Event::ExecFlow job plan,
including progress updates, is shipped with the Gtk2::Ex::FormFactory
package.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f ! -name \*.pl -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
exit 0
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
